<?xml version="1.0" encoding="utf-8"?>
<android.support.percent.PercentRelativeLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:gravity="center"
    tools:context=".LoginActivity">

    <RelativeLayout
        android:id="@+id/container_login"
        style="@style/login_background"
        app:layout_heightPercent="70%"
        app:layout_marginBottomPercent="7%"
        app:layout_marginTopPercent="23%"
        app:layout_widthPercent="90%">

        <TextView
            android:id="@+id/login_txt_title"
            style="@style/login_title"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_alignParentTop="true"
            android:text="@string/string_login_sign_in" />

        <LinearLayout
            style="@style/login_container"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_above="@+id/login_btns_container"
            android:layout_below="@+id/login_txt_title"
            android:gravity="center_vertical"
            android:orientation="vertical">


            <android.support.design.widget.TextInputLayout
                android:id="@+id/login_edtxt_email"
                style="@style/textinput"
                android:layout_width="match_parent"
                android:layout_height="wrap_content">

                <EditText
                    style="@style/login_edit_text"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:hint="@string/string_login_email_address"
                    android:inputType="textEmailAddress"
                    android:imeOptions="actionNext" />
            </android.support.design.widget.TextInputLayout>

            <android.support.design.widget.TextInputLayout
                android:id="@+id/login_edtxt_pswd"
                style="@style/textinput"
                android:layout_width="match_parent"
                android:layout_height="wrap_content">

                <EditText
                    style="@style/login_edit_text"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:hint="@string/string_login_password"
                    android:imeOptions="actionDone"
                    android:inputType="textPassword" />
            </android.support.design.widget.TextInputLayout>

            <CheckBox
                android:id="@+id/login_chb_remember"
                style="@style/login_checkbox"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:text="@string/string_login_remember" />

        </LinearLayout>


        <LinearLayout
            android:id="@+id/login_btns_container"
            style="@style/login_container"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_alignParentBottom="true"
            android:orientation="horizontal"
            android:weightSum="2">

            <Button
                android:id="@+id/login_btn_register"
                style="@style/login_btn_left"
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_weight="1"
                android:onClick="onBackClick"
                android:text="@string/string_login_register" />

            <Button
                android:id="@+id/login_btn_login"
                style="@style/login_btn_right"
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_weight="1"
                android:onClick="onLoginClick"
                android:text="@string/string_login_login" />


        </LinearLayout>


    </RelativeLayout>
</android.support.percent.PercentRelativeLayout>